MACRO::JSON_OUTPUT_A(3stap)

NAME
macro::json_output_array_string_value - Output a string value for metric in an array.

SYNOPSIS

    @json_output_array_string_value(array_name,array_index,metric_name,value)

ARGUMENTS

array_name
    The name of the array.

array_index
    The array index (as a string) indicating where to store the string value.

metric_name
    The name of the string metric.

value
    The string value to output.

DESCRIPTION

The json_output_array_string_value macro is designed to be called from the 'json_data' probe in the user's script to output a metric's string value that is in an array. This metric should have been added with json_add_array_string_metric.

SEE ALSO
tapset::json(3stap)